Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.buildin.bendablebigdecimal
Class BendableBigDecimalScoreHolder

    java.lang.Object
      org.optaplanner.core.api.score.holder.AbstractScoreHolder
          org.optaplanner.core.api.score.buildin.bendablebigdecimal.BendableBigDecimalScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class BendableBigDecimalScoreHolder

extends AbstractScoreHolder

See Also:
  `BendableBigDecimalScore`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`AbstractScoreHolder.BigDecimalConstraintUndoListener, AbstractScoreHolder.DoubleConstraintUndoListener, AbstractScoreHolder.IntConstraintUndoListener, AbstractScoreHolder.LongConstraintUndoListener`

Field Summary

Fields inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`constraintMatchEnabled, constraintMatchTotalMap`

Constructor Summary
`BendableBigDecimalScoreHolder(boolean constraintMatchEnabled, int hardLevelsSize, int softLevelsSize)`

Method Summary
`void` | `addHardConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, int hardLevel, BigDecimal weight)`
`void` | `addSoftConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, int softLevel, BigDecimal weight)`
`Score` | `extractScore()` Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`.
`int` | `getHardLevelsSize()`
`BigDecimal` | `getHardScore(int hardLevel)`
`int` | `getSoftLevelsSize()`
`BigDecimal` | `getSoftScore(int softLevel)`
`void` | `setHardScore(int hardLevel, BigDecimal hardScore)` Deprecated.
`void` | `setSoftScore(int softLevel, BigDecimal softScore)` Deprecated.

Methods inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`getConstraintMatchTotals, isConstraintMatchEnabled, registerBigDecimalConstraintMatch, registerDoubleConstraintMatch, registerIntConstraintMatch, registerLongConstraintMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BendableBigDecimalScoreHolder

    public BendableBigDecimalScoreHolder(boolean constraintMatchEnabled,
                                         int hardLevelsSize,
                                         int softLevelsSize)

Method Detail

### getHardLevelsSize

    public int getHardLevelsSize()

### getHardScore

    public BigDecimal getHardScore(int hardLevel)

### setHardScore

    @Deprecated
    public void setHardScore(int hardLevel,
                                        BigDecimal hardScore)

  Deprecated.

### getSoftLevelsSize

    public int getSoftLevelsSize()

### getSoftScore

    public BigDecimal getSoftScore(int softLevel)

### setSoftScore

    @Deprecated
    public void setSoftScore(int softLevel,
                                        BigDecimal softScore)

  Deprecated.

### addHardConstraintMatch

    public void addHardConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                       int hardLevel,
                                       BigDecimal weight)

### addSoftConstraintMatch

    public void addSoftConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                       int softLevel,
                                       BigDecimal weight)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.